Skip to main content
POST
Error

Authorizations

X-API-Key
string
header
required

Headers

customer
string
required

Workspace identifier

Path Parameters

projectId
string
required

Query Parameters

auto_assign_owner
boolean

Whether to assign a newly created entity to the authenticated user. Defaults to true.

bypass_branch_protection
boolean

Explicitly bypass branch protection (including Base) and branch editor groups. Requires an API key owned by an admin for this project. Defaults to false. Item locks, stage policies, field validation and branch lifecycle checks still apply.

Body

application/json
entityType
string
required

Entity type (e.g. "task", "bug")

name
string
required

Entity name

branchId
string
id
string

Entity ID (UUID). Auto-generated if omitted.

Response

200 - application/json
formulaTemplates
object
required
formulas
object
required
id
string
required
values
object
required
branchesChangedIn
string[]
branchesCreatedIn
string[]
createdAt
string<date-time>
defaultSortKey
string
deleted
boolean
type
string
uniqueEntityNumber
number
updatedAt
string<date-time>